> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Steps Export Request Status



## OpenAPI

````yaml /openapi-reporting.json get /api/reporting/v2/exports/transaction-steps/{requestId}/status
openapi: 3.0.4
info:
  title: Abbyy.Vantage.Reporting.Service
  description: 'Environment: Production<br>Product Version: 1.3.2'
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps/{requestId}/status:
    get:
      tags:
        - Report
      summary: Get Transaction Steps Export Request Status
      operationId: GetExportStatus
      parameters:
        - name: requestId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
components:
  schemas:
    ReportRequestStatusResponse:
      type: object
      properties:
        status:
          allOf:
            - $ref: '#/components/schemas/ReportRequestStatus'
          description: Actual status of the request
        totalFileCount:
          type: string
          description: |-
            Number of result files in case of successfully finished processing
            Result files can be accessed by their indexes
          nullable: true
        correlationId:
          type: string
          description: >-
            Correlation ID of the report creation procedure

            In case of failure or cancellation correlation ID helps for further
            investigation
          nullable: true
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: The filters used, to generate the report
          nullable: true
      additionalProperties: false
    ReportRequestStatus:
      enum:
        - New
        - Queued
        - Processing
        - Succeeded
        - Failed
        - Cancelled
      type: string
    AsyncStepReportFilters:
      required:
        - startDate
      type: object
      properties:
        skillId:
          type: string
          description: >-
            Filter by transaction skill ID. {NULL} if skill ID filter should not
            be applied
          nullable: true
        transactionId:
          type: string
          description: Filter by transaction ID. {NULL} if ID filter should not be applied
          nullable: true
        startDate:
          type: string
          description: Minimum transaction step completion date
          format: date-time
          default: '2025-12-17T15:36:38.524Z'
        endDate:
          type: string
          description: Maximum step completion date (current UTC time if empty)
          format: date-time
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````